Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.permissionsmanager
Class CommandFactory

    java.lang.Object
      org.jasig.portal.channels.permissionsmanager.CommandFactory

    public class CommandFactory

extends java.lang.Object

CommadFactory provides IPermissionCommand objects to CPermissionsManager

Version:
  $Revision: 1.9 $
Author:
  Alex Vigdor

Field Summary
`private static CommandFactory` | `_instance`
`private static java.util.HashMap` | `commands`
`private static org.apache.commons.logging.Log` | `log`

Constructor Summary
`protected` | `CommandFactory()` Creates new CommandFactory

Method Summary
`static IPermissionCommand` | `get(java.lang.String key)` put your documentation comment here
`protected IPermissionCommand` | `getCommand(java.lang.String key)` put your documentation comment here
`protected static CommandFactory` | `instance()` put your documentation comment here

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### _instance

    private static CommandFactory _instance

### commands

    private static java.util.HashMap commands

Constructor Detail

### CommandFactory

    protected CommandFactory()

  Creates new CommandFactory

Method Detail

### instance

    protected static CommandFactory instance()

  put your documentation comment here

  Returns:
    a `CommandFactory` singleton

### get

    public static IPermissionCommand get(java.lang.String key)

  put your documentation comment here

  Parameters:
    `key` -
  Returns:
    the `IPermissionCommand` for the key

### getCommand

    protected IPermissionCommand getCommand(java.lang.String key)

  put your documentation comment here

  Parameters:
    `key` -
  Returns:
    the `IPermissionCommand` for the key

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD